Package org.eclipse.rdf4j.workbench.util

## Class DynamicHttpRequest

- java.lang.Object
- - javax.servlet.ServletRequestWrapper
  - - javax.servlet.http.HttpServletRequestWrapper
    - - org.eclipse.rdf4j.workbench.util.DynamicHttpRequest

- All Implemented Interfaces:
    `javax.servlet.http.HttpServletRequest`, `javax.servlet.ServletRequest`

      public class DynamicHttpRequest
      extends javax.servlet.http.HttpServletRequestWrapper

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DynamicHttpRequest​(javax.servlet.ServletRequest request)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getContextPath()` |
    `Locale` | `getLocale()` |
    `String` | `getMethod()` |
    `String` | `getPathInfo()` |
    `String` | `getQueryString()` |
    `String` | `getServletPath()` |
    `void` | `setContextPath​(String contextPath)` |
    `void` | `setLocale​(Locale locale)` |
    `void` | `setMethod​(String method)` |
    `void` | `setPathInfo​(String pathInfo)` |
    `void` | `setQueryString​(String queryString)` |
    `void` | `setServletPath​(String servletPath)` |

    - ### Methods inherited from class javax.servlet.http.HttpServletRequestWrapper

      `authenticate, changeSessionId, getAuthType, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getPart, getParts, getPathTranslated, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole, login, logout, upgrade`

    - ### Methods inherited from class javax.servlet.ServletRequestWrapper

      `getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, isWrapperFor, isWrapperFor, removeAttribute, setAttribute, setCharacterEncoding, setRequest, startAsync, startAsync`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.ServletRequest

      `getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

- - ### Constructor Detail

    - #### DynamicHttpRequest

          public DynamicHttpRequest​(javax.servlet.ServletRequest request)

  - ### Method Detail

    - #### getContextPath

          public String getContextPath()

      Specified by:
        `getContextPath` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getContextPath` in class `javax.servlet.http.HttpServletRequestWrapper`

    - #### setContextPath

          public void setContextPath​(String contextPath)

    - #### getMethod

          public String getMethod()

      Specified by:
        `getMethod` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getMethod` in class `javax.servlet.http.HttpServletRequestWrapper`

    - #### setMethod

          public void setMethod​(String method)

    - #### getPathInfo

          public String getPathInfo()

      Specified by:
        `getPathInfo` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getPathInfo` in class `javax.servlet.http.HttpServletRequestWrapper`

    - #### setPathInfo

          public void setPathInfo​(String pathInfo)

    - #### getQueryString

          public String getQueryString()

      Specified by:
        `getQueryString` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getQueryString` in class `javax.servlet.http.HttpServletRequestWrapper`

    - #### setQueryString

          public void setQueryString​(String queryString)

    - #### getServletPath

          public String getServletPath()

      Specified by:
        `getServletPath` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getServletPath` in class `javax.servlet.http.HttpServletRequestWrapper`

    - #### setServletPath

          public void setServletPath​(String servletPath)

    - #### getLocale

          public Locale getLocale()

      Specified by:
        `getLocale` in interface `javax.servlet.ServletRequest`
      Overrides:
        `getLocale` in class `javax.servlet.ServletRequestWrapper`

    - #### setLocale

          public void setLocale​(Locale locale)